import * as React from 'react';
import { IListProps as ICoreListProps } from '@reactionable/core';
export interface IListProps<Data> extends Omit<ICoreListProps<Data>, 'render'> {
    head: Array<React.ReactElement | string>;
    render: (item: Data) => React.ReactElement;
}
export declare type ListComponent<Data> = React.FC<IListProps<Data>>;
export declare function List<Data>({ head, render, ...props }: React.PropsWithChildren<IListProps<Data>>): JSX.Element;
