import * as React from 'react';
import { IFormProps as ICoreFormProps, IFormFieldProps as ICoreFormFieldProps, IRenderFormField } from '@reactionable/core';
export declare type IFormProps<Values, Data> = ICoreFormProps<Values, Data>;
export declare function Form<Value, Data>({ render, ...props }: React.PropsWithChildren<IFormProps<Value, Data>>): JSX.Element;
export declare type IFormFieldProps<Values> = Omit<ICoreFormFieldProps<Values>, 'render'> & {
    label?: string;
    render?: IRenderFormField<Values>;
};
export declare function FormField<Values>({ label, render, ...props }: React.PropsWithChildren<IFormFieldProps<Values>>): JSX.Element;
