"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var Navbar_1 = tslib_1.__importDefault(require("react-bootstrap/Navbar"));
var Nav_1 = tslib_1.__importDefault(require("react-bootstrap/Nav"));
var NavDropdown_1 = tslib_1.__importDefault(require("react-bootstrap/NavDropdown"));
var react_i18next_1 = require("react-i18next");
var react_router_dom_1 = require("react-router-dom");
var core_1 = require("@reactionable/core");
var Modal_1 = require("../../modal/Modal");
;
function Header(_a) {
    var brand = _a.brand, _b = _a.navbarProps, navbarProps = _b === void 0 ? {} : _b, _c = _a.navItems, navItems = _c === void 0 ? [] : _c;
    var t = react_i18next_1.useTranslation().t;
    var _d = core_1.useIdentityContext(), user = _d.user, logout = _d.logout, component = _d.component, identityProvider = _d.identityProvider;
    var userMenuItems = [];
    var identityModal = undefined;
    if (identityProvider) {
        var _e = Modal_1.useModal({
            title: t('Sign In / Sign Up'),
            body: component,
        }), modal = _e.modal, openModal_1 = _e.openModal;
        identityModal = modal;
        if (user) {
            userMenuItems.push(React.createElement(NavDropdown_1.default, { key: "userNav", id: "userNav", title: user.displayName() },
                React.createElement(NavDropdown_1.default.Item, { as: react_router_dom_1.Link, to: "/account" }, t('My account')),
                React.createElement(NavDropdown_1.default.Divider, null),
                React.createElement(NavDropdown_1.default.Item, { as: react_router_dom_1.Link, to: "#", onClick: logout }, t('Log out'))));
        }
        else {
            var handleOnClick = function () { return openModal_1(); };
            userMenuItems.push(React.createElement(Nav_1.default.Link, { as: react_router_dom_1.Link, to: "#", key: "signup_signin", onClick: handleOnClick, className: "btn btn-link" }, t('Sign In / Sign Up')));
        }
    }
    return React.createElement(React.Fragment, null,
        identityModal,
        React.createElement(Navbar_1.default, tslib_1.__assign({}, Object.assign({
            expand: 'lg',
        }, navbarProps)),
            brand && React.createElement(Navbar_1.default.Brand, { as: react_router_dom_1.Link, to: "/" }, brand),
            React.createElement(Navbar_1.default.Toggle, { "aria-controls": "main-navbar-nav" }),
            React.createElement(Navbar_1.default.Collapse, { id: "main-navbar-nav" },
                React.createElement(Nav_1.default, { className: "mr-auto" }, navItems)),
            userMenuItems.length > 0 && React.createElement(Nav_1.default, null, userMenuItems)));
}
exports.Header = Header;
;
//# sourceMappingURL=Header.js.map