import * as React from 'react';
import { IModalFormProps as ICoreModalFormProps } from '@reactionable/core';
import { IFormProps } from '../form/Form';
import { IModalProps } from './Modal';
export declare type IModalFormProps<Values, Data> = IModalProps & Pick<ICoreModalFormProps<Values, Data>, 'submitButton'> & {
    form: Omit<IFormProps<Values, Data>, 'title'>;
};
export declare function ModalForm<Values, Data>({ submitButton, form, ...modalProps }: React.PropsWithChildren<IModalFormProps<Values, Data>>): JSX.Element;
export declare type IUseModalFormProps<Values, Data> = React.PropsWithChildren<IModalFormProps<Values, Data>>;
export declare function useModalForm<Values, Data>(props: IUseModalFormProps<Values, Data>): import("@reactionable/core").IUseModalResult;
