"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var core_1 = require("@reactionable/core");
var react_i18next_1 = require("react-i18next");
var ErrorAlert_1 = require("../alert/ErrorAlert");
var Notification_1 = require("./Notification");
exports.ErrorNotification = function (props) {
    if (!props.title) {
        var t = react_i18next_1.useTranslation().t;
        props.title = t('An error has occured');
    }
    return React.createElement(Notification_1.Notification, tslib_1.__assign({ variant: 'danger', title: props.title }, props),
        React.createElement(ErrorAlert_1.ErrorAlert, null, props.children));
};
exports.useErrorNotification = function (props) {
    var notificationTitle;
    if (props.title === undefined) {
        var t = react_i18next_1.useTranslation().t;
        notificationTitle = t('An error has occured');
    }
    else {
        notificationTitle = props.title;
    }
    return core_1.useErrorNotification({
        title: notificationTitle,
        Component: exports.ErrorNotification,
    });
};
//# sourceMappingURL=ErrorNotification.js.map