"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var tslib_1 = require("tslib");
var React = tslib_1.__importStar(require("react"));
var Toast_1 = tslib_1.__importDefault(require("react-bootstrap/Toast"));
var core_1 = require("@reactionable/core");
exports.Notification = function (props) {
    return React.createElement(Toast_1.default, { show: true, autohide: true, onClose: props.onClose, transition: false, style: {
            position: 'fixed',
            top: '1vw',
            right: '1vw',
            zIndex: 9999,
        }, className: props.variant ? 'border-' + props.variant : '' },
        React.createElement(Toast_1.default.Header, { className: props.variant ? 'text-' + props.variant : '' },
            React.createElement("strong", { className: "mr-auto" }, props.title)),
        React.createElement(Toast_1.default.Body, null, props.children));
};
exports.useNotification = function (title) {
    return core_1.useNotification({
        title: title,
        Component: exports.Notification,
    });
};
//# sourceMappingURL=Notification.js.map